Subject: bug#42256: 27.0.50; composition

From: Juri Linkov <[email-masked]>
Date: Thu, 16 Jul 2020 02:43:45 +0300

>> > I suggest to look at the code which displays the "Composed with" line
>> > and decides which characters to show there, and do the same in your
>> > addition.
>> 
>> Do you think it's now better?
>
> It is much better, thanks.  But there is still one small glitch: try
> "C-u C-x =" on buffer position 872 in HELLO, and you will see that
> U+0651 ARABIC SHADDA is displayed as an empty box.  By contrast, the
> "Composed with" line displays the shadda correctly.  I think this is
> because you display only a single character (by using 'aref'), whereas
> combining characters need to be surrounded by TABs to display
> correctly without combining with their neighbors.

Thank for the hint, I missed the invisible text property named ‘composition’
with TABs on the "Composed with" line.  Now fixed.